%define pkg_name        Class-Publisher
%define pkg_version     0.2
%define rpm_pkg_version 0.2
%define rpm_pkg_release 2.n0i.2

Summary:       A simple publish-subscribe event framework
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/S/SI/SIMONFLK/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(Class::ISA) >= 0.32}
%{!?_without_test:BuildRequires: perl(Scalar::Util)}


%description
Class::Publisher impliments the Publish-Subscribe pattern (also referred to
as the Observer pattern). It is often used in user interfaces when many
entities are interested in a particular event. The Publish-Subscribe
pattern decouples the publisher and subscriber and provides a generic
interface for publishing and subscribing to events.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.2-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Sun Apr 09 2006 Marius Feraru <altblue@n0i.net> 0.2-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.0
- rebuild on perl 5.8.8
